Package org.kapott.hbci.sepa.jaxb.camt_052_001_01

## Class ChargeTypeChoice

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.camt_052_001_01.ChargeTypeChoice

    public class ChargeTypeChoice
    extends java.lang.Object

Java class for ChargeTypeChoice complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ChargeTypeChoice">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <choice>
               <element name="Cd" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.01}ChargeType1Code"/>
               <element name="PrtryCd" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.01}Max4AlphaNumericText"/>
             </choice>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected ChargeType1Code` `cd`
`protected java.lang.String` `prtryCd`

### Constructor Summary

Constructors
`ChargeTypeChoice()`

### Method Summary

All Methods Instance Methods Concrete Methods
`ChargeType1Code` `getCd()` Gets the value of the cd property.
`java.lang.String` `getPrtryCd()` Gets the value of the prtryCd property.
`void` `setCd​(ChargeType1Code value)` Sets the value of the cd property.
`void` `setPrtryCd​(java.lang.String value)` Sets the value of the prtryCd property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### cd

    protected ChargeType1Code cd

#### prtryCd

    protected java.lang.String prtryCd

### Constructor Detail

#### ChargeTypeChoice

    public ChargeTypeChoice()

### Method Detail

#### getCd

    public ChargeType1Code getCd()

Gets the value of the cd property.

Returns:
  possible object is `ChargeType1Code`

#### setCd

    public void setCd​(ChargeType1Code value)

Sets the value of the cd property.

Parameters:
  `value` - allowed object is `ChargeType1Code`

#### getPrtryCd

    public java.lang.String getPrtryCd()

Gets the value of the prtryCd property.

Returns:
  possible object is `String`

#### setPrtryCd

    public void setPrtryCd​(java.lang.String value)

Sets the value of the prtryCd property.

Parameters:
  `value` - allowed object is `String`